VST 3 SDK VST 3.7 SDK for developing VST plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Classes | Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
Module Class Referenceabstract

`#include <module.h>`

## Classes
struct | Snapshot

## Public Types
using | Ptr = std::shared_ptr< Module >
using | PathList = std::vector< std::string >
using | SnapshotList = std::vector< Snapshot >

## Public Member Functions
const std::string & | getName () const noexcept
const std::string & | getPath () const noexcept
const PluginFactory & | getFactory () const noexcept
bool | isBundle () const noexcept

## Static Public Member Functions
static Ptr | create (const std::string &path, std::string &errorDescription)
static PathList | getModulePaths ()
static SnapshotList | getSnapshots (const std::string &modulePath)
static Optional< std::string > | getModuleInfoPath (const std::string &modulePath)
| get the path to the module info json file if it exists

## Protected Member Functions
virtual | ~Module () noexcept=default
virtual bool | load (const std::string &path, std::string &errorDescription)=0

## Protected Attributes
PluginFactory | factory {nullptr}
std::string | name
std::string | path
bool | hasBundleStructure {true}

## Member Typedef Documentation

using Ptr = std::shared_ptr<Module>

using PathList = std::vector<std::string>

using SnapshotList = std::vector<Snapshot>

## Constructor & Destructor Documentation

virtual ~Module | ( |  | ) |
| protected virtual default noexcept

## Member Function Documentation

Module::Ptr create | ( | const std::string & | path,
|  | std::string & | errorDescription
| ) |  |
| static

Module::PathList getModulePaths | ( |  | ) |
| static

Module::SnapshotList getSnapshots | ( | const std::string & | modulePath | ) |
| static

Optional< std::string > getModuleInfoPath | ( | const std::string & | modulePath | ) |
| static

get the path to the module info json file if it exists

const std::string& getName | ( |  | ) | const
| inline noexcept

const std::string& getPath | ( |  | ) | const
| inline noexcept

const PluginFactory& getFactory | ( |  | ) | const
| inline noexcept

bool isBundle | ( |  | ) | const
| inline noexcept

virtual bool load | ( | const std::string & | path,
|  | std::string & | errorDescription
| ) |  |
| protected pure virtual

## Member Data Documentation

PluginFactory factory {nullptr}
| protected

std::string name
| protected

std::string path
| protected

bool hasBundleStructure {true}
| protected

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.